﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;


namespace BasigChamran.Forms
{
    public partial class DeleteFaaliat : Form
    {
        public DeleteFaaliat()
        {
            InitializeComponent();
        }




        public int ID1;
        DataTable datat = new DataTable();

        string filename = Application.StartupPath + "\\Faaliat.txt";





        public void ShowList()
        {
            try
            {
                {

                    ID1 = getid();
                }
				//ساخت دیتا تیبل و افزودن ستون به آن
                DataTable dt = new DataTable();
                dt.Columns.Add("1");
                dt.Columns.Add("2");
                dt.Columns.Add("3");
                dt.Columns.Add("4");
                dt.Columns.Add("5");
                dt.Columns.Add("6");

				//آدرس دهی به استریم ریدر
                StreamReader SR = new StreamReader(filename);
				//خواندن اطلاعات
                string all = SR.ReadToEnd();
				//بستن استریم ریدر
                SR.Close();
                string[] records = all.Split('+');
                for (int i = 0; i < records.Length - 1; i++)
                {
                    string[] cells = records[i].Split(';');
                    dt.Rows.Add(cells[0], cells[1], cells[2], cells[3], cells[4], cells[5]);
                }
				//ریختن اطلاعات دیتاتیبل به داخل دیتاگرید ویو
                DGW.DataSource = dt;





				//تغییر هدر دیتاگرید ویو
                DGW.Columns[0].HeaderText = "شماره";
                DGW.Columns[1].HeaderText = "نام فعالیت";
                DGW.Columns[2].HeaderText = "به مناسبت";
                DGW.Columns[3].HeaderText = "توسط";
                DGW.Columns[4].HeaderText = "با همراهی بخش";
                DGW.Columns[5].HeaderText = "شرح فعالیت";

               

            }
            catch
            {
               
            }
        }
        public int getid()
        {

            StreamReader sr = new StreamReader(filename);
            string all = sr.ReadToEnd();
            sr.Close();
            string[] records = all.Split('+');
            return records.Length - 1;
        }












        private void DeleteFaaliat_Load(object sender, EventArgs e)
        {
            Height = 0;
            Width = 0;
            timer1.Start();
            try
            {
				//در صورتی که بانک موجود نبود بانک جدید ساخته میشود
                if (!File.Exists(filename))
                {
                    File.Create(filename);
                }
                else
                {
                    ShowList();
                }
            }
            catch
            {
                MessageBox.Show("کاربر گرامی نرم افزار با مشکل مواجعه شده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
            }
        }

        private void stiButton1_Click(object sender, EventArgs e)
        {
            try
            {
                if (MessageBox.Show("آیا مایلید مورد انتخاب شده حذف شود؟", "سوال(حذف)؟", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading) == DialogResult.Yes)
                {

                    if (DGW.RowCount <= 0)
                    {


                        return;



                    }
                    else
                    {
                        int counter = 0;
                        string temp = "";
						//آدرس دهی به استریم ریدر
                        StreamReader sr = new StreamReader(filename);
						//خواندن اطلاعات
                        string all = sr.ReadToEnd();
						//بستن استریم ریدر
                        sr.Close();
						//جداسازی اطلاعات به وسیله علامت مثبت
                        string[] records = all.Split('+');
                        string index = DGW.CurrentRow.Index.ToString();
						//آدرس دهی به استریم رایتر
                        StreamWriter sw = new StreamWriter(filename);
                        for (int i = 0; i < records.Length - 1; i++)
                        {
                            string[] cells = records[i].Split(';');
                            if (cells[0] != index)
                            {
								//ریختن اطلاعات به داخل رشته تمپ
                                temp += counter

                                   
                                    + ";" + cells[1]
                                    + ";" + cells[2]
                                    + ";" + cells[3]
                                    + ";" + cells[4]
                                    + ";" + cells[5]
                                    + "+";




                                counter++;
                            }
                        }
						//ریختن اطلاعات داخل تمپ به درون بانک
                        sw.Write("");
                        sw.Write(temp);
						//بستن استریم رایتر
                        sw.Close();
                        ShowList();

                    }
                }
            }
            catch
            {
                MessageBox.Show("کاربر گرامی نرم افزار با مشکل مواجعه شده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
          


            if (this.Height < 600 & this.Width >= 550)
            {
                this.Height = Height + 20;
            }


            if (this.Width < 551)
            {
                this.Width = this.Width + 20;


            }






            
        }
    }
}
