﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using BasigChamran.Forms;
using System.IO;


namespace BasigChamran
{
    public partial class Form1 : Form
    {
        public Form1()
        {

            InitializeComponent();
        }
        const int Wm = 0xA1;
        const int Ht = 0x2;


        [DllImportAttribute("user32.dll")]
        public static extern int SendMessage(IntPtr H1, int Wm, int HT, int h);
        [DllImportAttribute("user32.dll")]
        public static extern bool ReleaseCapture();



        private void Form1_MouseDown(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left)
            {
                ReleaseCapture();
                SendMessage(Handle, Wm, Ht, 0);
            }
        }



        private void Form1_Load(object sender, EventArgs e)
        {
            string filename = Application.StartupPath + "//database.txt";
            if (!File.Exists(filename))
            {
                File.Create(filename);
            }

            foreach (Control c in panel1.Controls)
            {
                c.Hide();
                animator1.Show(c);
            }
        }

        

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {

            

            
            

            
        }

        private void iconits4_Load(object sender, EventArgs e)
        {

        }

        private void pictureBox2_Click(object sender, EventArgs e)
        {
            AddFaaliat x = new AddFaaliat();
            x.ShowDialog();

        }

        private void pictureBox3_Click(object sender, EventArgs e)
        {
            EditFaaliat x = new EditFaaliat();
            x.ShowDialog();
        }

        private void pictureBox4_Click(object sender, EventArgs e)
        {
            SearchFaaliat x = new SearchFaaliat();
            x.ShowDialog();
        }

        private void pictureBox5_Click(object sender, EventArgs e)
        {
            DeleteFaaliat x = new DeleteFaaliat();
            x.ShowDialog();
        }

        private void pictureBox9_Click(object sender, EventArgs e)
        {
            AddMembers x = new AddMembers();
            x.ShowDialog();
        }

        private void pictureBox8_Click(object sender, EventArgs e)
        {
            EditMember x = new EditMember();
            x.ShowDialog();
        }

        private void pictureBox7_Click(object sender, EventArgs e)
        {
            SearchInMembers x = new SearchInMembers();
            x.ShowDialog();
        }

        private void pictureBox6_Click(object sender, EventArgs e)
        {
            DeleteMember x = new DeleteMember();
            x.ShowDialog();
        }

        private void Form1_FormClosed(object sender, FormClosedEventArgs e)
        {
            Application.Exit();
        }

        private void افزودنفعالیتToolStripMenuItem_Click(object sender, EventArgs e)
        {
            AddFaaliat x = new AddFaaliat();
            x.ShowDialog();
        }

        private void ویرایشاطلاعاتاعضاToolStripMenuItem_Click(object sender, EventArgs e)
        {
            EditFaaliat x = new EditFaaliat();
            x.ShowDialog();
        }

        private void جستجودرفعالیتهاToolStripMenuItem_Click(object sender, EventArgs e)
        {
            SearchFaaliat x = new SearchFaaliat();
            x.ShowDialog();
        }

        private void حذففعالیتToolStripMenuItem_Click(object sender, EventArgs e)
        {
            DeleteFaaliat x = new DeleteFaaliat();
            x.ShowDialog();
        }

        private void افزودنعضوToolStripMenuItem_Click(object sender, EventArgs e)
        {
            AddMembers x = new AddMembers();
            x.ShowDialog();
        }

        private void ویرایشاطلاعاتاعضاToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            EditMember x = new EditMember();
            x.ShowDialog();
        }

        private void جستجودراعضاToolStripMenuItem_Click(object sender, EventArgs e)
        {
            SearchInMembers x = new SearchInMembers();
            x.ShowDialog();
        }

        private void حذفعضوToolStripMenuItem_Click(object sender, EventArgs e)
        {
            DeleteMember x = new DeleteMember();
            x.ShowDialog();
        }

        private void pictureBox2_MouseHover(object sender, EventArgs e)
        {
            toolTip1.SetToolTip(this.pictureBox2, "افزودن فعالیت");
        }

        private void pictureBox3_MouseHover(object sender, EventArgs e)
        {
            toolTip1.SetToolTip(this.pictureBox3, ",ویرایش اطلاعات فعالیت ها");
        }

        private void pictureBox4_MouseHover(object sender, EventArgs e)
        {
            toolTip1.SetToolTip(this.pictureBox4, "جستجو در فعالیت ها");
        }

        private void pictureBox5_MouseHover(object sender, EventArgs e)
        {
            toolTip1.SetToolTip(this.pictureBox5, "حذف فعالیت");
        }

        private void pictureBox9_MouseHover(object sender, EventArgs e)
        {
            toolTip1.SetToolTip(this.pictureBox9, "افزودن عضو");
        }

        private void pictureBox8_MouseHover(object sender, EventArgs e)
        {
            toolTip1.SetToolTip(this.pictureBox8, "ویرایش اطلاعات اعضا");
        }

        private void pictureBox7_MouseHover(object sender, EventArgs e)
        {
            toolTip1.SetToolTip(this.pictureBox7, "جستجو در اعضا");
        }

        private void pictureBox6_MouseHover(object sender, EventArgs e)
        {
            toolTip1.SetToolTip(this.pictureBox6, "حذف اعضا");
        }

        private void label4_Click(object sender, EventArgs e)
        {

        }
    }
}
