﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using BasigChamran.Forms;

namespace BasigChamran.Forms
{
    public partial class EditMember : Form
    {
        public EditMember()
        {
            InitializeComponent();
        }

        public int ID1;
        DataTable datat = new DataTable();
        //مسیر دیتا بیس را مشخص میکند
        string filename = Application.StartupPath + "\\database.txt";
        private void btnAdd_Click(object sender, EventArgs e)
        {
            AddMembers ShowAddEdit = new AddMembers();
            ShowAddEdit.ShowDialog();
            ShowAddEdit.cou = 1;
            ShowList();
        }



        public void ShowList()
        {
            try
            {
                {
                    // آی دی را از تابع گت آی دی دریافت میکند برای این که به عنوان ردیف نمایش دهد
                    ID1 = getid();
                }
                // یک نمونه دیتا تیبل میسازد و ستون های آن را مشخص میکند... اطلاعات بانک را در اینجا تفکیک میکند و درون دیتا گرید ویو ریخته و آن را نمایش میدهد
                DataTable dt = new DataTable();
                dt.Columns.Add("ID1");
                dt.Columns.Add("Name");
                dt.Columns.Add("Family");
                dt.Columns.Add("Mobile");
                dt.Columns.Add("Address");
                //دیتا بیس را در مسیر مشخص شده میخواندو اطلاعات آن را تفکیک میکند
                StreamReader SR = new StreamReader(filename);
                string all = SR.ReadToEnd();
                SR.Close();
                string[] records = all.Split('+');
                for (int i = 0; i < records.Length - 1; i++)
                {
                    string[] cells = records[i].Split(';');
                    dt.Rows.Add(cells[0], cells[1], cells[2], cells[3], cells[4]);
                }
                //اطلاعات را در دیتا گرید ویو نمایش میدهد
                DGW.DataSource = dt;
                DGW.Columns[0].Width = 80;
                DGW.Columns[1].Width = 70;
                DGW.Columns[2].Width = 90;
                DGW.Columns[3].Width = 80;
                DGW.Columns[4].Width = 150;
                DGW.Columns[0].HeaderText = "شماره ثبت";
                DGW.Columns[1].HeaderText = "نام";
                DGW.Columns[2].HeaderText = "نام خانوادگی";
                DGW.Columns[3].HeaderText = "موبایل";
                DGW.Columns[4].HeaderText = "آدرس";
            }
            catch
            {
                MessageBox.Show("کاربر گرامی نرم افزار با مشکل مواجعه شده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
            }
        }
        public int getid()
        {
            //ردیف را مشخص میکند
            StreamReader sr = new StreamReader(filename);
            string all = sr.ReadToEnd();
            sr.Close();
            string[] records = all.Split('+');
            return records.Length - 1;
        }












        private void EditMember_Load(object sender, EventArgs e)
        {
            try
            {
                //چک میکند که آیا دیتا بیس وجود دارد یا نه ... اگر وجود نداشته باشد یک نمونه از دیتا بیس میسازد
                if (!File.Exists(filename))
                {
                    File.Create(filename);
                }
                else
                {
                    ShowList();
                }
            }
            catch
            {
                MessageBox.Show("کاربر گرامی نرم افزار با مشکل مواجعه شده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
            }
        }

        private void stiButton1_Click(object sender, EventArgs e)
        {
            try
            {
                if (DGW.RowCount > 0)
                {
                    BasigChamran.Forms.AddMembers showAdd_Edit = new AddMembers();
                    showAdd_Edit.cou = 0;
                    showAdd_Edit.ID12 = Int32.Parse(DGW.CurrentRow.Cells[0].Value.ToString());
                    showAdd_Edit.Textbox1.Text = DGW.CurrentRow.Cells[1].Value.ToString();
                    showAdd_Edit.Textbox2.Text = DGW.CurrentRow.Cells[2].Value.ToString();
                    showAdd_Edit.Textbox3.Text = DGW.CurrentRow.Cells[3].Value.ToString();
                    showAdd_Edit.Textbox4.Text = DGW.CurrentRow.Cells[4].Value.ToString();
                    showAdd_Edit.Textbox5.Text = DGW.CurrentRow.Cells[5].Value.ToString();
                    showAdd_Edit.Textbox6.Text = DGW.CurrentRow.Cells[6].Value.ToString();
                    showAdd_Edit.Textbox7.Text = DGW.CurrentRow.Cells[7].Value.ToString();
                    showAdd_Edit.Textbox8.Text = DGW.CurrentRow.Cells[8].Value.ToString();
                    showAdd_Edit.Textbox9.Text = DGW.CurrentRow.Cells[9].Value.ToString();
                    showAdd_Edit.Textbox10.Text = DGW.CurrentRow.Cells[10].Value.ToString();
                    showAdd_Edit.Textbox11.Text = DGW.CurrentRow.Cells[11].Value.ToString();
                    showAdd_Edit.Textbox12.Text = DGW.CurrentRow.Cells[12].Value.ToString();
                    showAdd_Edit.Textbox13.Text = DGW.CurrentRow.Cells[13].Value.ToString();
                    showAdd_Edit.Textbox14.Text = DGW.CurrentRow.Cells[14].Value.ToString();
                    showAdd_Edit.Textbox15.Text = DGW.CurrentRow.Cells[15].Value.ToString();
                    showAdd_Edit.Textbox16.Text = DGW.CurrentRow.Cells[16].Value.ToString();
                    showAdd_Edit.Textbox17.Text = DGW.CurrentRow.Cells[17].Value.ToString();

                    
                    showAdd_Edit.cou = 0;
                    showAdd_Edit.ShowDialog();
                    
                    ShowList();
                }
            }
            catch
            {
                MessageBox.Show("کاربر گرامی نرم افزار با مشکل مواجعه شده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
            }
        }
    }
}
